<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/TransmissionAgents/Agents/AgentBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d92/_agent_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AgentBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d92/_agent_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d1/dd5/class_agent_base.html">AgentBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a4db986b7002ec193ad3d5e69042083e9">    3</a></span>    <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = 0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a35f4ae369e6c72d2d40d771f7d0bd986">    4</a></span>    <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d9b/class_message_receiver_base.html#a35f4ae369e6c72d2d40d771f7d0bd986">m_Invasibility</a>;                 <span class="comment">//how fast the agent grows when potent enough to grow</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a8d5f833ca52fe2245376a91cc3ab7877">    5</a></span>    <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d9b/class_message_receiver_base.html#a8d5f833ca52fe2245376a91cc3ab7877">m_TransferabilityIn</a>;            <span class="comment">//to the player</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a7d36a31f834bce14fa908126e974e174">    6</a></span>    <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d9b/class_message_receiver_base.html#a7d36a31f834bce14fa908126e974e174">m_TransferabilityOut</a>;           <span class="comment">//from the player</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a0f0dddfc4facf7c9f55885511b37c177">    7</a></span>    <span class="keywordtype">float</span>   m_Digestibility = 0.1;          <span class="comment">//multiplier for agents digested in the player stomach from an infected item(agents_transfered = digested_amount(in grams or mls) * m_Digestibility)</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a59f69f922ead4932900e155ba90af8b4">    8</a></span>    <span class="keywordtype">int</span>     m_MaxCount = 1;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a265331869ecd832c260887523ed7368b">    9</a></span>    <span class="keywordtype">float</span>   m_AutoinfectProbability = CalculateAutoinfectProbability(0);    <span class="comment">// [0..1], 0 = zero chance, 1 = 100% chance of getting this agent once per hour</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a64915cc39c8009c75075fbefc12f10c0">   10</a></span>    <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d9b/class_message_receiver_base.html#a64915cc39c8009c75075fbefc12f10c0">m_TransferabilityAirOut</a>;        <span class="comment">// transferibility airborne out</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#aca99c2a34d56d720acb119cfcceaa1f6">   11</a></span>    <span class="keywordtype">float</span>   m_AntibioticsResistance = 1;    <span class="comment">//[0..1], 0 means antibiotics have full effect, 1 means no effect</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a5577f9c1c81f7fb7eb6b2f5b6b172b80">   13</a></span>    <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a> m_Potency = <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a>.MEDIUM;     <span class="comment">//grow when player&#39;s immune system is at this level or lower</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a6707f84ee1ca78178a3667d263bedfd6">   14</a></span>    <span class="keywordtype">float</span> m_DieOffSpeed = 1;                        <span class="comment">//how fast the agent dies off when not potent enough to grow(per sec)</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a74f75fe525860a985a8d0b41bb31c2ee">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a74f75fe525860a985a8d0b41bb31c2ee">AgentBase</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_function" href="../../d1/dd5/class_agent_base.html#aa1b26ae22297b724de56a4721647cd2b">Init</a>();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#aeb55c2efb700ef6a5d2e56c860699660">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#aeb55c2efb700ef6a5d2e56c860699660">Init</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a478d2c2b8174c7ef3255efdac444f2dd">   23</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a478d2c2b8174c7ef3255efdac444f2dd">GetAgentType</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a24ce7f1b8bfcb5d480e6208833caf28d">   28</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a24ce7f1b8bfcb5d480e6208833caf28d">GetDieOffSpeedEx</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> GetDieOffSpeed();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a6db7eada615ca4e025a8cba3108c92f9">   33</a></span>    <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a6db7eada615ca4e025a8cba3108c92f9">GetPotencyEx</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> GetPotency();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a01399f03ac4ee96f64e2d91d88f61dc1">   38</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a01399f03ac4ee96f64e2d91d88f61dc1">GetInvasibilityEx</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> GetInvasibility();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#afa9ca494ab5de99966326aa531644a76">   43</a></span>    <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#afa9ca494ab5de99966326aa531644a76">GetPotency</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> m_Potency;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#adaa05d10497a98652065ae223d593e2c">   48</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#adaa05d10497a98652065ae223d593e2c">GetDieOffSpeed</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> m_DieOffSpeed;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a4a5bce2c1835e78be0f100df9ae0a9de">   53</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a4a5bce2c1835e78be0f100df9ae0a9de">GetAntiboticsResistance</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> m_AntibioticsResistance;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#ada8ca774cb4721f0cd09fdab19eff186">   57</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#ada8ca774cb4721f0cd09fdab19eff186">GetAntibioticsResistanceEx</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> GetAntiboticsResistance();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a117f7d13eb40e8a98a779ca13eff4f48">   62</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a117f7d13eb40e8a98a779ca13eff4f48">GetInvasibility</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> m_Invasibility;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">//should this agent grow based on invasibility even during antibiotics attack</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#af221a497d36eb72378a5605299b555c4">   67</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#af221a497d36eb72378a5605299b555c4">GrowDuringAntibioticsAttack</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;<span class="comment">//for legacy balancing reasons, set to true by default</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a03349771872a85d9670f5fee1a5ad7b7">   72</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a03349771872a85d9670f5fee1a5ad7b7">GetDigestibility</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> m_Digestibility;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#af10241c4a700e411bffb99370300dc1f">   77</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#af10241c4a700e411bffb99370300dc1f">CalculateAutoinfectProbability</a>( <span class="keywordtype">float</span> userprob )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> ( 1 - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 1 - userprob, ( 1 / 1200 ) ) );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a4815dc3802cdbf015c2b45ae31f6cb9c">   82</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a4815dc3802cdbf015c2b45ae31f6cb9c">AutoinfectCheck</a>(<span class="keywordtype">float</span> deltaT, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> ( m_AutoinfectProbability == 0.0 ) </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordtype">float</span> dice_throw = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">RandomFloat01</a>();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">if</span> ( dice_throw &lt; m_AutoinfectProbability )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d1/dd5/class_agent_base.html#a825d2821d36bdd4df5096b8cab2e94b8">CanAutoinfectPlayer</a>(player);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#ac82fe0df5635587b16b0e3028d3d650b">   99</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#ac82fe0df5635587b16b0e3028d3d650b">CanAutoinfectPlayer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#adfdf8f252083d9a9d46f68f8b6674e35">  104</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#adfdf8f252083d9a9d46f68f8b6674e35">GetTransferabilityIn</a>()</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">return</span> m_TransferabilityIn;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a95bb37c2c634daa68db92f524f51b7f1">  109</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a95bb37c2c634daa68db92f524f51b7f1">GetTransferabilityOut</a>()</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">return</span> m_TransferabilityOut;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }   </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a3d7d2e1aa7216bd7d92b21f7b06e5515">  114</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a3d7d2e1aa7216bd7d92b21f7b06e5515">GetTransferabilityAirOut</a>()</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> m_TransferabilityAirOut;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#a755fff246599c2ee98e3e9922043a097">  119</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a755fff246599c2ee98e3e9922043a097">GetMaxCount</a>()</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">return</span> m_MaxCount;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d5/d9b/class_message_receiver_base.html#af68d7cce26d0621e0f896fa9dba9881e">  124</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#af68d7cce26d0621e0f896fa9dba9881e">GetName</a>()</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">return</span> ClassName();</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_e_stat_levels_8c_html_a33dd957dac0dffc62424608704bc94a3"><div class="ttname"><a href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a></div><div class="ttdeci">EStatLevels</div><div class="ttdef"><b>Definition:</b> <a href="../../da/db4/_e_stat_levels_8c_source.html#l00001">EStatLevels.c:2</a></div></div>
<div class="ttc" id="aclass_agent_base_html"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html">AgentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_brain_agent_8c_source.html#l00001">BrainAgent.c:2</a></div></div>
<div class="ttc" id="aclass_agent_base_html_a825d2821d36bdd4df5096b8cab2e94b8"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html#a825d2821d36bdd4df5096b8cab2e94b8">AgentBase::CanAutoinfectPlayer</a></div><div class="ttdeci">override bool CanAutoinfectPlayer(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_influenza_agent_8c_source.html#l00020">InfluenzaAgent.c:20</a></div></div>
<div class="ttc" id="aclass_agent_base_html_aa1b26ae22297b724de56a4721647cd2b"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html#aa1b26ae22297b724de56a4721647cd2b">AgentBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_brain_agent_8c_source.html#l00003">BrainAgent.c:3</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d10/_message_receiver_base_8c_source.html#l00001">MessageReceiverBase.c:2</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a01399f03ac4ee96f64e2d91d88f61dc1"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a01399f03ac4ee96f64e2d91d88f61dc1">MessageReceiverBase::GetInvasibilityEx</a></div><div class="ttdeci">float GetInvasibilityEx(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00038">AgentBase.c:38</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a03349771872a85d9670f5fee1a5ad7b7"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a03349771872a85d9670f5fee1a5ad7b7">MessageReceiverBase::GetDigestibility</a></div><div class="ttdeci">float GetDigestibility()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00072">AgentBase.c:72</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a117f7d13eb40e8a98a779ca13eff4f48"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a117f7d13eb40e8a98a779ca13eff4f48">MessageReceiverBase::GetInvasibility</a></div><div class="ttdeci">float GetInvasibility()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00062">AgentBase.c:62</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a24ce7f1b8bfcb5d480e6208833caf28d"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a24ce7f1b8bfcb5d480e6208833caf28d">MessageReceiverBase::GetDieOffSpeedEx</a></div><div class="ttdeci">float GetDieOffSpeedEx(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00028">AgentBase.c:28</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a35f4ae369e6c72d2d40d771f7d0bd986"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a35f4ae369e6c72d2d40d771f7d0bd986">MessageReceiverBase::m_Invasibility</a></div><div class="ttdeci">float m_Invasibility</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00004">AgentBase.c:4</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a3d7d2e1aa7216bd7d92b21f7b06e5515"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a3d7d2e1aa7216bd7d92b21f7b06e5515">MessageReceiverBase::GetTransferabilityAirOut</a></div><div class="ttdeci">float GetTransferabilityAirOut()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00114">AgentBase.c:114</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a478d2c2b8174c7ef3255efdac444f2dd"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a478d2c2b8174c7ef3255efdac444f2dd">MessageReceiverBase::GetAgentType</a></div><div class="ttdeci">int GetAgentType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00023">AgentBase.c:23</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a4815dc3802cdbf015c2b45ae31f6cb9c"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a4815dc3802cdbf015c2b45ae31f6cb9c">MessageReceiverBase::AutoinfectCheck</a></div><div class="ttdeci">bool AutoinfectCheck(float deltaT, PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00082">AgentBase.c:82</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a4a5bce2c1835e78be0f100df9ae0a9de"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a4a5bce2c1835e78be0f100df9ae0a9de">MessageReceiverBase::GetAntiboticsResistance</a></div><div class="ttdeci">float GetAntiboticsResistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00053">AgentBase.c:53</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a64915cc39c8009c75075fbefc12f10c0"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a64915cc39c8009c75075fbefc12f10c0">MessageReceiverBase::m_TransferabilityAirOut</a></div><div class="ttdeci">float m_TransferabilityAirOut</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00010">AgentBase.c:10</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a6db7eada615ca4e025a8cba3108c92f9"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a6db7eada615ca4e025a8cba3108c92f9">MessageReceiverBase::GetPotencyEx</a></div><div class="ttdeci">EStatLevels GetPotencyEx(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00033">AgentBase.c:33</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a74f75fe525860a985a8d0b41bb31c2ee"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a74f75fe525860a985a8d0b41bb31c2ee">MessageReceiverBase::AgentBase</a></div><div class="ttdeci">void AgentBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00016">AgentBase.c:16</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a755fff246599c2ee98e3e9922043a097"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a755fff246599c2ee98e3e9922043a097">MessageReceiverBase::GetMaxCount</a></div><div class="ttdeci">int GetMaxCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00119">AgentBase.c:119</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a7d36a31f834bce14fa908126e974e174"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a7d36a31f834bce14fa908126e974e174">MessageReceiverBase::m_TransferabilityOut</a></div><div class="ttdeci">float m_TransferabilityOut</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00006">AgentBase.c:6</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a8d5f833ca52fe2245376a91cc3ab7877"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a8d5f833ca52fe2245376a91cc3ab7877">MessageReceiverBase::m_TransferabilityIn</a></div><div class="ttdeci">float m_TransferabilityIn</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00005">AgentBase.c:5</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a95bb37c2c634daa68db92f524f51b7f1"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a95bb37c2c634daa68db92f524f51b7f1">MessageReceiverBase::GetTransferabilityOut</a></div><div class="ttdeci">float GetTransferabilityOut()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00109">AgentBase.c:109</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_ac82fe0df5635587b16b0e3028d3d650b"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#ac82fe0df5635587b16b0e3028d3d650b">MessageReceiverBase::CanAutoinfectPlayer</a></div><div class="ttdeci">bool CanAutoinfectPlayer(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00099">AgentBase.c:99</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_ada8ca774cb4721f0cd09fdab19eff186"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#ada8ca774cb4721f0cd09fdab19eff186">MessageReceiverBase::GetAntibioticsResistanceEx</a></div><div class="ttdeci">float GetAntibioticsResistanceEx(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00057">AgentBase.c:57</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_adaa05d10497a98652065ae223d593e2c"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#adaa05d10497a98652065ae223d593e2c">MessageReceiverBase::GetDieOffSpeed</a></div><div class="ttdeci">float GetDieOffSpeed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00048">AgentBase.c:48</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_adfdf8f252083d9a9d46f68f8b6674e35"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#adfdf8f252083d9a9d46f68f8b6674e35">MessageReceiverBase::GetTransferabilityIn</a></div><div class="ttdeci">float GetTransferabilityIn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00104">AgentBase.c:104</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_aeb55c2efb700ef6a5d2e56c860699660"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#aeb55c2efb700ef6a5d2e56c860699660">MessageReceiverBase::Init</a></div><div class="ttdeci">void Init()</div></div>
<div class="ttc" id="aclass_message_receiver_base_html_af10241c4a700e411bffb99370300dc1f"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#af10241c4a700e411bffb99370300dc1f">MessageReceiverBase::CalculateAutoinfectProbability</a></div><div class="ttdeci">float CalculateAutoinfectProbability(float userprob)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00077">AgentBase.c:77</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_af221a497d36eb72378a5605299b555c4"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#af221a497d36eb72378a5605299b555c4">MessageReceiverBase::GrowDuringAntibioticsAttack</a></div><div class="ttdeci">bool GrowDuringAntibioticsAttack(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00067">AgentBase.c:67</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_af68d7cce26d0621e0f896fa9dba9881e"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#af68d7cce26d0621e0f896fa9dba9881e">MessageReceiverBase::GetName</a></div><div class="ttdeci">string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00124">AgentBase.c:124</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_afa9ca494ab5de99966326aa531644a76"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#afa9ca494ab5de99966326aa531644a76">MessageReceiverBase::GetPotency</a></div><div class="ttdeci">EStatLevels GetPotency()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d92/_agent_base_8c_source.html#l00043">AgentBase.c:43</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0721fce39300fa5a6a172f4a5f197188"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">Math::RandomFloat01</a></div><div class="ttdeci">static float RandomFloat01()</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00106">EnMath.c:106</a></div></div>
<div class="ttc" id="agroup___math_html_gab5e095de61335667a5fc38d9d538d89f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Math::Pow</a></div><div class="ttdeci">static proto float Pow(float v, float power)</div><div class="ttdoc">Return power of v ^ power.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0d221cc64db71d6cf8ce051c160d262e.html">TransmissionAgents</a></li><li class="navelem"><a class="el" href="../../dir_9df0a4c7a936b91a02d05c86c951b919.html">Agents</a></li><li class="navelem"><a class="el" href="../../d5/d92/_agent_base_8c.html">AgentBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
